Skip to main content
POST
/
documents
/
{data_source_id}
Upsert documents
curl --request POST \
  --url https://{subdomain}.withrealm.com/api/external/alpha/documents/{data_source_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "documents": [
    {
      "title": "<string>",
      "content": "<string>",
      "contentType": "markdown",
      "id": "<string>",
      "url": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "meta": {},
      "readAccess": [
        "<string>"
      ]
    }
  ]
}
'
{
  "results": [
    {
      "id": "<string>",
      "success": true,
      "error": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.withrealm.com/llms.txt

Use this file to discover all available pages before exploring further.

These endpoints require a custom API data source. See Custom API for setup instructions. Send a maximum of 100 documents per request. The writes will be queued and processed in the background.

Rate Limits

600 requests per minute.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

data_source_id
string
required

Body

application/json
documents
object[]
required

Response

Success

results
object[]
required